<?php
require_once './Control/ControlArtigo.php';
require_once './Util/Utilidades.php';
$controlArtigo = new ControlArtigo();
$artigo = $controlArtigo->pegarTodosArtigo();
$ar = Utilidades::OrdenarArray($artigo->allToArray(), 'titulo');
?>
<button value="cmdNovo" onclick="javascript:mostrarArquivoDados('adm_artigoForm.php','#dados','acao=inserir&lang=ptbr');">Novo registro</button>
<table class="datatable">
    <thead>
        <tr>
            <?php
            $ColNomes = '<th>Titulo</th><th>Data</th><th>Descrição</th><th></th>';
            echo $ColNomes;
            ?>
        </tr>
    </thead>
    <tbody>
        <?php
        foreach ($ar as $key => $row) {
            $pk = $row['artigoid'];
            $nome = $row['titulo'];
            echo '<tr class="gradeA" id="artigoID_' . $pk .'">';
            echo '<td>' . $row['titulo'] . '</td>';
            echo '<td>' . $row['dataartigo'] . '</td>';
            echo '<td>' . $row['descricao'] . '</td>';
            echo '<td><a href="javascript:mostrarArquivoDados(\'adm_artigoForm.php\',\'#dados\',\'acao=alterar&pk=' . $pk . '&lang=ptbr\');">Editar</a> / <a href="javascript:excluirRegistro(\'' . $pk . '\',\'' . $nome .'\');" class="editor_remove">Excluir</a></td>';
            echo '</tr>';
        }
        ?>
    </tbody>
    <tfoot><?php echo $ColNomes?></tfoot>
</table>
<script>
    iniciarDataTable('.datatable');
</script>
<?php
        FormAjax::ExcluirRegistro('adm_artigoCMD.php');
?>